cvp.vo

## Class PrescrizioneAccettazioneRicovero

- java.lang.Object
- - cvp.vo.PrescrizioneAccettazioneRicovero

-     public class PrescrizioneAccettazioneRicovero
      extends java.lang.Object

  Contiene i della prescrizione necessari per eseguire l'accettazione del ricovero.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private AssistitoAccettazioneRicovero` | `assistito` Contiene i dati anagrafici dell'assistito a cui è intestata la prescrizione di ricovero, elemento facoltativo.
    `private java.lang.String` | `dataPrescrizione` Data di emissione della prescrizione, elemento facoltativo.
    `private java.lang.String` | `flagSuggerita` Indica se la prescrizione è stata suggerita da uno specialista, elemento facoltativo.
    `private java.lang.String` | `identificativoRicetta` Codice identificativo della ricetta stampato dal poligrafico dello stato sulla ricetta cartacea, elemento facoltativo.
    `private java.lang.String` | `IUP` Codice identificativo univoco della prescrizione generato dalla RETE/MMG, elemento facoltativo.
    `private java.lang.String` | `naturaPrescrizione` Codifica della natura della prescrizione, elemento facoltativo.
    `private java.lang.String` | `statoPrescrizione` Codifica dello stato della prescrizione, elemento facoltativo.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrescrizioneAccettazioneRicovero()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssistitoAccettazioneRicovero` | `getAssistito()`
    `java.lang.String` | `getDataPrescrizione()`
    `java.lang.String` | `getFlagSuggerita()`
    `java.lang.String` | `getIdentificativoRicetta()`
    `java.lang.String` | `getIUP()`
    `java.lang.String` | `getNaturaPrescrizione()`
    `java.lang.String` | `getStatoPrescrizione()`
    `void` | `setAssistito(AssistitoAccettazioneRicovero assistito)`
    `void` | `setDataPrescrizione(java.lang.String dataPrescrizione)`
    `void` | `setFlagSuggerita(java.lang.String flagSuggerita)`
    `void` | `setIdentificativoRicetta(java.lang.String identificativoRicetta)`
    `void` | `setIUP(java.lang.String IUP)`
    `void` | `setNaturaPrescrizione(java.lang.String naturaPrescrizione)`
    `void` | `setStatoPrescrizione(java.lang.String statoPrescrizione)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IUP

          private java.lang.String IUP

      Codice identificativo univoco della prescrizione generato dalla RETE/MMG, elemento facoltativo. Da specificare solo se lo IUP è stampato sulla ricetta cartacea ed è quindi già stata registrata nel data-base della RETE/MMG.

    - #### identificativoRicetta

          private java.lang.String identificativoRicetta

      Codice identificativo della ricetta stampato dal poligrafico dello stato sulla ricetta cartacea, elemento facoltativo. Deve essere presente nel caso di accettazione ricovero con prescrizione.

    - #### dataPrescrizione

          private java.lang.String dataPrescrizione

      Data di emissione della prescrizione, elemento facoltativo.

    - #### naturaPrescrizione

          private java.lang.String naturaPrescrizione

      Codifica della natura della prescrizione, elemento facoltativo. Può assumere i seguenti valori:
    - O = Originale Originale ovvero la prescrizione é stata emessa dal RETE/MMG da un soggetto prescrittore regolarmente dotato del ricettario regionale;
    - S = Supporto, ovvero la prescrizione é originata da una accettazione di ricovero, pertanto l'emettitore é un soggetto erogatore che acquisisce i dati della prescrizione di ricovero che ha accettato.

- #### flagSuggerita

      private java.lang.String flagSuggerita

  Indica se la prescrizione è stata suggerita da uno specialista, elemento facoltativo. Può assumere i seguenti valori 1=suggerita 0=non suggerita

- #### statoPrescrizione

      private java.lang.String statoPrescrizione

  Codifica dello stato della prescrizione, elemento facoltativo. Può assumere i seguenti valori:
- 1 = Prescritta;
- 2 = Prenotata.

- #### assistito

      private AssistitoAccettazioneRicovero assistito

  Contiene i dati anagrafici dell'assistito a cui è intestata la prescrizione di ricovero, elemento facoltativo. Deve essere presente se sulla ricetta cartacea non è presente lo IUP.

- ### Constructor Detail

  - #### PrescrizioneAccettazioneRicovero

        public PrescrizioneAccettazioneRicovero()

- ### Method Detail

  - #### getIUP

        public java.lang.String getIUP()

  - #### setIUP

        public void setIUP(java.lang.String IUP)

  - #### getIdentificativoRicetta

        public java.lang.String getIdentificativoRicetta()

  - #### setIdentificativoRicetta

        public void setIdentificativoRicetta(java.lang.String identificativoRicetta)

  - #### getDataPrescrizione

        public java.lang.String getDataPrescrizione()

  - #### setDataPrescrizione

        public void setDataPrescrizione(java.lang.String dataPrescrizione)

  - #### getNaturaPrescrizione

        public java.lang.String getNaturaPrescrizione()

  - #### setNaturaPrescrizione

        public void setNaturaPrescrizione(java.lang.String naturaPrescrizione)

  - #### getStatoPrescrizione

        public java.lang.String getStatoPrescrizione()

  - #### setStatoPrescrizione

        public void setStatoPrescrizione(java.lang.String statoPrescrizione)

  - #### getAssistito

        public AssistitoAccettazioneRicovero getAssistito()

  - #### setAssistito

        public void setAssistito(AssistitoAccettazioneRicovero assistito)

  - #### getFlagSuggerita

        public java.lang.String getFlagSuggerita()

  - #### setFlagSuggerita

        public void setFlagSuggerita(java.lang.String flagSuggerita)